#
# spec file for package capnproto
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           capnproto
Version:        0.6.1
Release:        lp150.1.5
Summary:        Cap'n Proto - Insanely Fast Data Serialization Format
License:        MIT
Group:          System/Libraries
Url:            https://capnproto.org
Source:         https://capnproto.org/capnproto-c++-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
Requires:       libcapnp-0_6 = %{version}

%description
Cap'n Proto is an insanely fast data interchange format and capability-based
RPC system.  Think JSON, except binary.  Or think of Google's Protocol Buffers
(http://protobuf.googlecode.com), except faster.  In fact, in benchmarks,
Cap'n Proto is INFINITY TIMES faster than Protocol Buffers.

%package     -n libcapnp-0_6
Summary:        Cap'n Proto C++ library
Group:          System/Libraries

%description -n libcapnp-0_6
Cap'n Proto is an insanely fast data interchange format and capability-based
RPC system.  Think JSON, except binary.  Or think of Google's Protocol Buffers
(http://protobuf.googlecode.com), except faster.  In fact, in benchmarks,
Cap'n Proto is INFINITY TIMES faster than Protocol Buffers.

This package provides runtime libraries for capnproto.

%package     -n libcapnp-devel
Summary:        Development headers for Cap'n Proto C++ Library
Group:          Development/Libraries/C and C++
Requires:       libcapnp-0_6 = %{version}

%description -n libcapnp-devel
Cap'n Proto is an insanely fast data interchange format and capability-based
RPC system.  Think JSON, except binary.  Or think of Google's Protocol Buffers
(http://protobuf.googlecode.com), except faster.  In fact, in benchmarks,
Cap'n Proto is INFINITY TIMES faster than Protocol Buffers.

This package provides development headers for capnproto.

%prep
%setup -q -n %{name}-c++-%{version}

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name "*.a" -delete
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libcapnp-0_6 -p /sbin/ldconfig
%postun -n libcapnp-0_6 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt
%{_bindir}/capnp
%{_bindir}/capnpc
%{_bindir}/capnpc-c++
%{_bindir}/capnpc-capnp

%files -n libcapnp-0_6
%defattr(-,root,root,-)
%{_libdir}/libcapnp-%{version}.so
%{_libdir}/libcapnp-rpc-%{version}.so
%{_libdir}/libcapnpc-%{version}.so
%{_libdir}/libcapnp-json-%{version}.so
%{_libdir}/libkj-test-%{version}.so
%{_libdir}/libkj-%{version}.so
%{_libdir}/libkj-async-%{version}.so
%{_libdir}/libkj-http-%{version}.so

%files -n libcapnp-devel
%defattr(-,root,root,-)
%{_includedir}/capnp
%{_includedir}/kj
%{_libdir}/libcapnp-rpc.so
%{_libdir}/libcapnp.so
%{_libdir}/libcapnpc.so
%{_libdir}/libcapnp-json.so
%{_libdir}/libkj-test.so
%{_libdir}/libkj-async.so
%{_libdir}/libkj-http.so
%{_libdir}/libkj.so
%{_libdir}/pkgconfig/capnp.pc
%{_libdir}/pkgconfig/capnp-rpc.pc
%{_libdir}/pkgconfig/kj-async.pc
%{_libdir}/pkgconfig/kj.pc

%changelog
* Mon Aug 28 2017 aloisio@gmx.com
- Update to stable version 0.6.1
* Thu Mar 30 2017 edogawa@aon.at
- update version 0.6-dev
* Sun Mar 15 2015 i@marguerite.su
- update version 0.5.1.2
* Wed Feb 18 2015 i@marguerite.su
- initial version 0.5.1
